## ide-clone-surface ide-clone-surface |

## Functions

IdeCloneSurface * | ide_clone_surface_new ()
const gchar * | ide_clone_surface_get_uri ()
void | ide_clone_surface_set_uri ()
void | ide_clone_surface_clone ()

## Properties

gchar * | uri | Read / Write

## Types and Values

#define | IDE_TYPE_CLONE_SURFACE
| IdeCloneSurface

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlDockBin
                        ╰── IdeSurface
                            ╰── IdeCloneSurface

## Implemented Interfaces

IdeCloneSurface implements AtkImplementorIface, GtkBuildable, DzlDockItem and DzlDock.

## Description

## Functions

### ide_clone_surface_new ()

    IdeCloneSurface *
    ide_clone_surface_new (void);

Create a new IdeCloneSurface.

#### Returns

a newly created IdeCloneSurface.

[transfer full]

Since: 3.32

### ide_clone_surface_get_uri ()

    const gchar *
    ide_clone_surface_get_uri (IdeCloneSurface *self);

### ide_clone_surface_set_uri ()

    void
    ide_clone_surface_set_uri (IdeCloneSurface *self,
                               const gchar *uri);

### ide_clone_surface_clone ()

    void
    ide_clone_surface_clone (IdeCloneSurface *self);

## Types and Values

### IDE_TYPE_CLONE_SURFACE

    #define IDE_TYPE_CLONE_SURFACE (ide_clone_surface_get_type())

### IdeCloneSurface

    typedef struct _IdeCloneSurface IdeCloneSurface;

## Property Details

### The `“uri”` property

      “uri”                      gchar *

The "uri" property is the URI of the version control repository to be cloned. Usually, this is something like

"https://gitlab.gnome.org/GNOME/gnome-builder.git"

Owner: IdeCloneSurface

Flags: Read / Write

Default value: NULL

Since: 3.32